{
  "id": "Villages",
  "name": "Villages",
  "description": "Noms de patelins imaginaires ou réels.",
  "moredescription": "Basés sur des noms de communes françaises.",
  "issentence": false,
  "rules": [
    {
      "id": "@PrenomMasc@",
      "distribution": [
        { "occurences": 1, "pattern": ["Jérome"] },
        { "occurences": 1, "pattern": ["Benoit"] },
        { "occurences": 1, "pattern": ["Alban"] },
        { "occurences": 5, "pattern": ["André"] },
        { "occurences": 1, "pattern": ["Bernard"] },
        { "occurences": 1, "pattern": ["Christophe"] },
        { "occurences": 1, "pattern": ["Cyr"] },
        { "occurences": 2, "pattern": ["Denis"] },
        { "occurences": 3, "pattern": ["Didier"] },
        { "occurences": 3, "pattern": ["Éloi"] },
        { "occurences": 8, "pattern": ["Étienne"] },
        { "occurences": 3, "pattern": ["Georges"] },
        { "occurences": 3, "pattern": ["Germain"] },
        { "occurences": 1, "pattern": ["Jacques"] },
        { "occurences": 8, "pattern": ["Jean"] },
        { "occurences": 2, "pattern": ["Julien"] },
        { "occurences": 1, "pattern": ["Just"] },
        { "occurences": 1, "pattern": ["Laurent"] },
        { "occurences": 1, "pattern": ["Marcel"] },
        { "occurences": 6, "pattern": ["Martin"] },
        { "occurences": 3, "pattern": ["Maurice"] },
        { "occurences": 1, "pattern": ["Paul"] },
        { "occurences": 2, "pattern": ["Pierre"] },
        { "occurences": 1, "pattern": ["Rémi"] },
        { "occurences": 1, "pattern": ["Sulpice"] }
      ]
    },
    {
      "id": "@PrenomFem@",
      "distribution": [
        { "occurences": 1, "pattern": ["Agnès"] },
        { "occurences": 3, "pattern": ["Anne"] },
        { "occurences": 8, "pattern": ["Croix"] },
        { "occurences": 1, "pattern": ["Eulalie"] },
        { "occurences": 1, "pattern": ["Euphémie"] },
        { "occurences": 3, "pattern": ["Foi"] },
        { "occurences": 1, "pattern": ["Geneviève"] },
        { "occurences": 1, "pattern": ["Julie"] },
        { "occurences": 5, "pattern": ["Marie"] },
        { "occurences": 1, "pattern": ["Olive"] }
      ]
    },
    {
      "id": "@LieuMasc@",
      "distribution": [
        { "occurences": 1, "pattern": ["Bois"] },
        { "occurences": 1, "pattern": ["Bas"] },
        { "occurences": 1, "pattern": ["Château"] },
        { "occurences": 1, "pattern": ["Châtel"] },
        { "occurences": 1, "pattern": ["Col"] },
        { "occurences": 1, "pattern": ["Désert"] },
        { "occurences": 1, "pattern": ["Haut"] },
        { "occurences": 1, "pattern": ["Lac"] },
        { "occurences": 1, "pattern": ["Moulin"] },
        { "occurences": 1, "pattern": ["Pont"] },
        { "occurences": 1, "pattern": ["Port"] }
      ]
    },
    {
      "id": "@LieuFem@",
      "distribution": [
        { "occurences": 1, "pattern": ["Forêt"] },
        { "occurences": 1, "pattern": ["Chapelle"] },
        { "occurences": 1, "pattern": ["Colline"] },
        { "occurences": 1, "pattern": ["Montagne"] },
        { "occurences": 1, "pattern": ["Mer"] },
        { "occurences": 1, "pattern": ["Loge"] },
        { "occurences": 1, "pattern": ["Tour"] }
      ]
    },
    {
      "id": "@LieuPlur@",
      "distribution": [
        { "occurences": 1, "pattern": ["Bois"] },
        { "occurences": 1, "pattern": ["Eaux"] },
        { "occurences": 1, "pattern": ["Loges"] },
        { "occurences": 1, "pattern": ["Monts"] },
        { "occurences": 1, "pattern": ["Moulins"] },
        { "occurences": 1, "pattern": ["Mines"] }
      ]
    },
    {
      "id": "@Riviere@",
      "distribution": [
        { "occurences": 1, "pattern": ["Ain"] },
        { "occurences": 1, "pattern": ["Aisne"] },
        { "occurences": 1, "pattern": ["Allier"] },
        { "occurences": 1, "pattern": ["Ardèche"] },
        { "occurences": 1, "pattern": ["Ariège"] },
        { "occurences": 1, "pattern": ["Aube"] },
        { "occurences": 1, "pattern": ["Aude"] },
        { "occurences": 1, "pattern": ["Aveyron"] },
        { "occurences": 2, "pattern": ["Charente"] },
        { "occurences": 2, "pattern": ["Cher"] },
        { "occurences": 1, "pattern": ["Corrèze"] },
        { "occurences": 1, "pattern": ["Creuse"] },
        { "occurences": 1, "pattern": ["Dordogne"] },
        { "occurences": 1, "pattern": ["Doubs"] },
        { "occurences": 1, "pattern": ["Drôme"] },
        { "occurences": 1, "pattern": ["Essone"] },
        { "occurences": 2, "pattern": ["Eure"] },
        { "occurences": 1, "pattern": ["Gard"] },
        { "occurences": 3, "pattern": ["Garonne"] },
        { "occurences": 1, "pattern": ["Gers"] },
        { "occurences": 1, "pattern": ["Hérault"] },
        { "occurences": 1, "pattern": ["Ille"] },
        { "occurences": 2, "pattern": ["Indre"] },
        { "occurences": 1, "pattern": ["Isère"] },
        { "occurences": 2, "pattern": ["Loir"] },
        { "occurences": 6, "pattern": ["Loire"] },
        { "occurences": 1, "pattern": ["Loiret"] },
        { "occurences": 2, "pattern": ["Lot"] },
        { "occurences": 1, "pattern": ["Lozère"] },
        { "occurences": 1, "pattern": ["Maine"] },
        { "occurences": 4, "pattern": ["Marne"] },
        { "occurences": 1, "pattern": ["Mayenne"] },
        { "occurences": 1, "pattern": ["Meurthe"] },
        { "occurences": 1, "pattern": ["Meuse"] },
        { "occurences": 2, "pattern": ["Moselle"] },
        { "occurences": 1, "pattern": ["Nièvre"] },
        { "occurences": 2, "pattern": ["Oise"] },
        { "occurences": 1, "pattern": ["Orne"] },
        { "occurences": 2, "pattern": ["Rhin"] },
        { "occurences": 2, "pattern": ["Rhône"] },
        { "occurences": 2, "pattern": ["Saône"] },
        { "occurences": 1, "pattern": ["Sarthe"] },
        { "occurences": 4, "pattern": ["Seine"] },
        { "occurences": 1, "pattern": ["Sèvre"] },
        { "occurences": 1, "pattern": ["Somme"] },
        { "occurences": 2, "pattern": ["Tarn"] },
        { "occurences": 1, "pattern": ["Var"] },
        { "occurences": 1, "pattern": ["Vendée"] },
        { "occurences": 2, "pattern": ["Vienne"] },
        { "occurences": 1, "pattern": ["Vilaine"] },
        { "occurences": 1, "pattern": ["Yonne"] },
        { "occurences": 10, "pattern": ["Mer"] }
      ]
    },
    {
      "id": "@NomLieuMasc@",
      "distribution": [
        { "occurences": 1, "pattern": ["Angle"] },
        { "occurences": 1, "pattern": ["Château"] },
        { "occurences": 1, "pattern": ["Castel"] },
        { "occurences": 1, "pattern": ["Col"] },
        { "occurences": 1, "pattern": ["Lieu"] },
        { "occurences": 1, "pattern": ["Mont"] },
        { "occurences": 1, "pattern": ["Pont"] },
        { "occurences": 1, "pattern": ["Port"] },
        { "occurences": 1, "pattern": ["Pré"] },
        { "occurences": 1, "pattern": ["Roque"] },
        { "occurences": 1, "pattern": ["Roche"] }
      ]
    },
    {
      "id": "@NomLieuFem@",
      "distribution": [
        { "occurences": 1, "pattern": ["Pierre"] },
        { "occurences": 1, "pattern": ["Rive"] },
        { "occurences": 1, "pattern": ["Roche"] },
        { "occurences": 1, "pattern": ["Roque"] },
        { "occurences": 1, "pattern": ["Ville"] }
      ]
    },
    {
      "id": "@AdjLieuMasc@",
      "distribution": [
        { "occurences": 1, "pattern": ["beau"] },
        { "occurences": 1, "pattern": ["bel"] },
        { "occurences": 1, "pattern": ["bon"] },
        { "occurences": 1, "pattern": ["brun"] },
        { "occurences": 1, "pattern": ["clar"] },
        { "occurences": 1, "pattern": ["clair"] },
        { "occurences": 1, "pattern": ["fort"] },
        { "occurences": 1, "pattern": ["franc"] },
        { "occurences": 1, "pattern": ["neuf"] },
        { "occurences": 1, "pattern": ["rond"] }
      ]
    },
    {
      "id": "@AdjLieuFem@",
      "distribution": [
        { "occurences": 1, "pattern": ["belle"] },
        { "occurences": 1, "pattern": ["bonne"] },
        { "occurences": 1, "pattern": ["brune"] },
        { "occurences": 1, "pattern": ["claire"] },
        { "occurences": 1, "pattern": ["forte"] },
        { "occurences": 1, "pattern": ["franche"] },
        { "occurences": 1, "pattern": ["neuve"] },
        { "occurences": 1, "pattern": ["ronde"] }
      ]
    },
    {
      "id": "@Nom2LieuMasc@",
      "distribution": [
        { "occurences": 1, "pattern": ["bourg"] },
        { "occurences": 1, "pattern": ["château"] },
        { "occurences": 1, "pattern": ["châtel"] },
        { "occurences": 1, "pattern": ["col"] },
        { "occurences": 1, "pattern": ["lieu"] },
        { "occurences": 1, "pattern": ["mont"] },
        { "occurences": 1, "pattern": ["pont"] },
        { "occurences": 1, "pattern": ["port"] },
        { "occurences": 1, "pattern": ["pré"] },
        { "occurences": 1, "pattern": ["réal"] },
        { "occurences": 1, "pattern": ["roc"] }
      ]
    },
    {
      "id": "@Nom2LieuFem@",
      "distribution": [
        { "occurences": 1, "pattern": ["pierre"] },
        { "occurences": 1, "pattern": ["rive"] },
        { "occurences": 1, "pattern": ["roche"] },
        { "occurences": 1, "pattern": ["ville"] }
      ]
    },
    {
      "id": "@Adj2LieuMasc@",
      "distribution": [
        { "occurences": 1, "pattern": ["Apre"] },
        { "occurences": 1, "pattern": ["Beau"] },
        { "occurences": 1, "pattern": ["Bel"] },
        { "occurences": 1, "pattern": ["Bon"] },
        { "occurences": 1, "pattern": ["Clar"] },
        { "occurences": 1, "pattern": ["Clair"] },
        { "occurences": 1, "pattern": ["Fort"] },
        { "occurences": 1, "pattern": ["Franc"] },
        { "occurences": 1, "pattern": ["Haut"] },
        { "occurences": 1, "pattern": ["Long"] },
        { "occurences": 1, "pattern": ["Neuf"] }
      ]
    },
    {
      "id": "@Adj2LieuFem@",
      "distribution": [
        { "occurences": 1, "pattern": ["Belle"] },
        { "occurences": 1, "pattern": ["Bonne"] },
        { "occurences": 1, "pattern": ["Claire"] },
        { "occurences": 1, "pattern": ["Forte"] },
        { "occurences": 1, "pattern": ["Franche"] },
        { "occurences": 1, "pattern": ["Haute"] },
        { "occurences": 1, "pattern": ["Longue"] },
        { "occurences": 1, "pattern": ["Neu"] }
      ]
    },
    {
      "id": "@Part@",
      "distribution": [
        { "occurences": 3,  "pattern": ["Saint", "-", "@PrenomMasc@"] },
        { "occurences": 3,  "pattern": ["Sainte", "-", "@PrenomFem@"] },
        { "occurences": 1,  "pattern": ["le", "-", "@LieuMasc@"] },
        { "occurences": 1,  "pattern": ["la", "-", "@LieuFem@"] },
        { "occurences": 1,  "pattern": ["les", "-", "@LieuPlur@"] },
        { "occurences": 8,  "pattern": ["@NomLieuMasc@", "@AdjLieuMasc@"] },
        { "occurences": 8,  "pattern": ["@NomLieuFem@", "@AdjLieuFem@"] },
        { "occurences": 8,  "pattern": ["@Adj2LieuMasc@", "@Nom2LieuMasc@"] },
        { "occurences": 8,  "pattern": ["@Adj2LieuFem@", "@Nom2LieuFem@"] }
      ]
    },
    {
      "id": "@PartFin@",
      "distribution": [
        { "occurences": 1,  "pattern": ["du", "-", "@LieuMasc@"] },
        { "occurences": 1,  "pattern": ["de", "-", "la", "-", "@LieuFem@"] },
        { "occurences": 1,  "pattern": ["des", "-", "@LieuPlur@"] },
        { "occurences": 1,  "pattern": ["sur", "-", "@Riviere@"] }
      ]
    },
    {
      "id": "@output@",
      "distribution": [
        { "occurences": 6,  "pattern": ["@Part@"] },
        { "occurences": 2,  "pattern": ["@Part@", "-", "@Part@"] },
        { "occurences": 2,  "pattern": ["@Part@", "-", "@PartFin@"] }
      ]
    }
  ]
}
